/*
* Copyright © 2020. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/

package com.tibco.accelerators.iot.functions;

import java.util.List;

import com.streambase.sb.CompleteDataType;
import com.streambase.sb.Tuple;
import com.streambase.sb.client.CustomFunctionResolver;

public class AttributeFunctions {

	/**
	 * Retrieve the attribute tuple from a list of name-value attribute tuples.
	 * 
	 * @param attributes list of tuples
	 * @param name attribute name to retrieve
	 * @return the attribute tuple
	 */
	@CustomFunctionResolver("getAttributeByNameResolver")
	public static Tuple getAttributeByName(List<?> attributes, String name) {
		if(attributes == null) return null;
		if(name == null) return null;
		
		for(int idx = 0; idx < attributes.size(); idx++) {
			Tuple thisAttribute = (Tuple) attributes.get(idx);
			try {
				if(name.equals(thisAttribute.getString("name")))
					return thisAttribute;
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return null;
	}

	public static CompleteDataType getAttributeByNameResolver(CompleteDataType attributes,
			CompleteDataType name) {
		return attributes.getElementType();
	}
	
}
