/*
* Copyright © 2020. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/

package com.tibco.accelerators.operators.container;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

/**
* A BeanInfo class controls what properties are exposed, add 
* metadata about properties (such as which properties are optional), and access 
* special types of properties that can't be automatically derived via reflection. 
* If a BeanInfo class is present, only the properties explicitly declared in
* this class will be exposed by StreamBase.
*/
public class LocalEnqueueOperatorBeanInfo extends SBSimpleBeanInfo {

	/*
	* The order of properties below determines the order they are displayed within
	* the StreamBase Studio property view. 
	*/
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked() throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("target", LocalEnqueueOperator.class)
						.displayName("Target Stream Tuple").description(""),
				new SBPropertyDescriptor("payload", LocalEnqueueOperator.class).displayName("Payload Tuple")
						.description(""), 
				new SBPropertyDescriptor("enqueueSchema", LocalEnqueueOperator.class).displayName("Enqueue Schema")
						.description("").setUIHints(UIHints.create().setTab("Schema")),
		};
		return p;
	}

}
