/*
* Copyright © 2020. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/

package com.tibco.accelerators.operators.file;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

/**
 * A BeanInfo class controls what properties are exposed, add metadata about
 * properties (such as which properties are optional), and access special types
 * of properties that can't be automatically derived via reflection. If a
 * BeanInfo class is present, only the properties explicitly declared in this
 * class will be exposed by StreamBase.
 */
public class FileDeleteOperatorBeanInfo extends SBSimpleBeanInfo {

	/*
	 * The order of properties below determines the order they are displayed
	 * within the StreamBase Studio property view.
	 */
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("filename", FileDeleteOperator.class)
						.displayName("Filename")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Operator Properties")),
				new SBPropertyDescriptor("synchronousDelete", FileDeleteOperator.class)
						.displayName("Synchronous Delete")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Operator Properties")),
				new SBPropertyDescriptor("passthroughFields", FileDeleteOperator.class)
						.displayName("Passthrough Fields")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Operator Properties")), };
		return p;
	}

}
