/*
* Copyright © 2020. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/

package com.tibco.accelerators.operators.file;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

/**
 * A BeanInfo class controls what properties are exposed, add metadata about
 * properties (such as which properties are optional), and access special types
 * of properties that can't be automatically derived via reflection. If a
 * BeanInfo class is present, only the properties explicitly declared in this
 * class will be exposed by StreamBase.
 */
public class FileListOperatorBeanInfo extends SBSimpleBeanInfo {

	/*
	 * The order of properties below determines the order they are displayed
	 * within the StreamBase Studio property view.
	 */
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("listPath", FileListOperator.class)
						.displayName("List Path")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("searchSubDirs", FileListOperator.class)
						.displayName("Search Subdirectories")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("listFilter", FileListOperator.class)
						.displayName("List Filter")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("oneTuplePerFile", FileListOperator.class)
						.displayName("One Tuple Per File")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("synchronousList", FileListOperator.class)
						.displayName("Synchronous List")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("passthroughFields", FileListOperator.class)
						.displayName("Passthrough Fields")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")), };
		return p;
	}

}
